Index: sys/arch/x86/x86/intr.c
===================================================================
RCS file: /cvsroot/src/sys/arch/x86/x86/intr.c,v
retrieving revision 1.165
diff -p -u -r1.165 intr.c
--- sys/arch/x86/x86/intr.c	11 Apr 2023 13:11:01 -0000	1.165
+++ sys/arch/x86/x86/intr.c	29 Nov 2023 06:44:59 -0000
@@ -884,6 +884,8 @@ intr_establish_xname(int legacy_irq, str
 		/* FALLTHROUGH */
 	case IST_PULSE:
 		if (type != IST_NONE) {
+			int otype = source->is_type;
+
 			intr_source_free(ci, slot, pic, idt_vec);
 			intr_free_io_intrsource_direct(chained);
 			mutex_exit(&cpu_lock);
@@ -891,7 +893,7 @@ intr_establish_xname(int legacy_irq, str
 			printf("%s: pic %s pin %d: can't share "
 			       "type %d with %d\n",
 				__func__, pic->pic_name, pin,
-				source->is_type, type);
+				otype, type);
 			return NULL;
 		}
 		break;
